Loading...
Searching...
No Matches
Opm::EclMaterialLaw::Manager< TraitsT >::Params Struct Reference

## Public Member Functions

bool | hasDirectionalRelperms () const
bool | hasDirectionalImbnum () const

## Public Attributes

OilWaterScalingInfoVector | oilWaterScaledEpsInfoDrainage {}
GasOilEffectiveParamVector | gasOilEffectiveParamVector {}
OilWaterEffectiveParamVector | oilWaterEffectiveParamVector {}
GasWaterEffectiveParamVector | gasWaterEffectiveParamVector {}
GasOilScalingPointsVector | gasOilUnscaledPointsVector {}
OilWaterScalingPointsVector | oilWaterUnscaledPointsVector {}
GasWaterScalingPointsVector | gasWaterUnscaledPointsVector {}
std::vector< int > | krnumXArray {}
std::vector< int > | krnumYArray {}
std::vector< int > | krnumZArray {}
std::vector< int > | imbnumXArray {}
std::vector< int > | imbnumYArray {}
std::vector< int > | imbnumZArray {}
std::vector< int > | satnumRegionArray {}
std::vector< int > | imbnumRegionArray {}
std::vector< MaterialLawParams > | materialLawParams {}
DirectionalMaterialLawParamsPtr | dirMaterialLawParams {}
bool | onlyPiecewiseLinear = true

The documentation for this struct was generated from the following file:

- opm/material/fluidmatrixinteractions/EclMaterialLawManager.hpp